
QGIS Application - Bug report #17301

3d view doesn't work with global basemaps

2017-10-18 02:08 AM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: 3D

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25199

Description

Steps to reproduce:

1. load a dem layer

2. load a wms/xyz/some other form of worldwide "basemap" 

3. try to active 3d view (e.g. to drape basemap on dem layer)

result:

3d view is always empty. I suspect it's getting confused by the global extent of the basemap layer and trying to generate an initial

viewpoint based on this. I think instead the initial/default view should be based on the current canvas extent.

History

#1 - 2017-10-18 08:57 AM - Giovanni Manghi

- Category set to 3D

#2 - 2017-11-22 05:43 PM - Martin Dobias

This may be resolved with https://github.com/qgis/QGIS/pull/5698

#3 - 2017-11-24 01:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

The patch is merged, can we close this? Cheers!

#4 - 2017-12-07 12:34 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Confirmed fixed
